Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.objexcel.util
Class Alias.ParsedAlias

    java.lang.Object
      |
      +--com.objexcel.util.Alias.ParsedAlias

public static final class Alias.ParsedAlias
extends java.lang.Object

ParsedAlias is the 'compiled' form of an alias (faster to expand this way)

Field Summary
`java.lang.String` | `aliasName` the name of the alias.
`java.util.Vector` | `arguments` argments store where each argument is inserted and the user token that is used to replace the parameter Object[] {String name, String lowerName, Boolean isMandatory , int[text insertion point, token from, token to]}
`static int` | `IINDICIES_INSERTION_POINT` where in the raw text to insert the param
`static int` | `IINDICIES_USER_TOKEN_FROM` the index of the first user token to use for the parameter
`static int` | `IINDICIES_USER_TOKEN_TO` the index of the last user token to use for the parameter
`static int` | `IPARAM_INDICIES` location information about the parameter, see IINDICIES*
`static int` | `IPARAM_IS_MANDATORY` is the parameter mandatory?
`static int` | `IPARAM_LOWERNAME` lowercase name of the parameter
`static int` | `IPARAM_NAME` name of the parameter
`static java.lang.String` | `ME` a constant for a paramter name that will automatically expand to the irc users current nickname
`java.lang.String` | `rawAlias` the alias before it was parsed
`static java.lang.String` | `TARGET` a constant for a paramter name that will automatically expand to who the message is directed to (a user, a room or null)
`java.lang.String` | `text` from: /j /join $roomname text will be '/join '

Constructor Summary
`Alias.ParsedAlias()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rawAlias

    public java.lang.String rawAlias

  the alias before it was parsed

### aliasName

    public java.lang.String aliasName

  the name of the alias. e.g. /alias /j /join xxx is 'j'

### text

    public java.lang.String text

  from: /j /join $roomname text will be '/join '

### arguments

    public java.util.Vector arguments

  argments store where each argument is inserted and the user token that is used to replace the parameter Object[] {String name, String lowerName, Boolean isMandatory , int[text insertion point, token from, token to]}

### IPARAM_NAME

    public static final int IPARAM_NAME

  name of the parameter

### IPARAM_LOWERNAME

    public static final int IPARAM_LOWERNAME

  lowercase name of the parameter

### IPARAM_IS_MANDATORY

    public static final int IPARAM_IS_MANDATORY

  is the parameter mandatory?

### IPARAM_INDICIES

    public static final int IPARAM_INDICIES

  location information about the parameter, see IINDICIES*

### IINDICIES_INSERTION_POINT

    public static final int IINDICIES_INSERTION_POINT

  where in the raw text to insert the param

### IINDICIES_USER_TOKEN_FROM

    public static final int IINDICIES_USER_TOKEN_FROM

  the index of the first user token to use for the parameter

### IINDICIES_USER_TOKEN_TO

    public static final int IINDICIES_USER_TOKEN_TO

  the index of the last user token to use for the parameter

### ME

    public static final java.lang.String ME

  a constant for a paramter name that will automatically expand to the irc users current nickname

### TARGET

    public static final java.lang.String TARGET

  a constant for a paramter name that will automatically expand to who the message is directed to (a user, a room or null)

Constructor Detail

### Alias.ParsedAlias

    public Alias.ParsedAlias()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD